searchData={"items":[{"type":"extras","title":"Components","doc":"# Components\n\n```elixir\nMix.install([\n  {:kino_benchee, \"~> 0.1.0\"}\n])\n```","ref":"components.html"},{"type":"extras","title":"Kinos - Components","doc":"### `%Benchee.Suite{}`\n\nThis integration automatically renders the results of a [Benchee](https://github.com/bencheeorg/benchee)\ntest suite.\n\nFor example, if you wanted to compare the various implementations of descending sort you could do the following:\n\n```elixir\ndefmodule BenchmarkTests do\n  @list 1..10_000 |> Enum.to_list() |> Enum.shuffle()\n\n  def sort_reverse do\n    @list |> Enum.sort() |> Enum.reverse()\n  end\n\n  def sort_desc do\n    @list |> Enum.sort(:desc)\n  end\n\n  def sort_function do\n    Enum.sort(@list, &(&1 > &2))\n  end\n\n  def sort_by do\n    Enum.sort_by(@list, fn val -> -val end)\n  end\nend\n\nBenchee.run(\n  %{\n    \"sort |> reverse\" => &BenchmarkTests.sort_reverse/0,\n    \"sort :desc\" => &BenchmarkTests.sort_desc/0,\n    \"sort(fun)\" => &BenchmarkTests.sort_function/0,\n    \"sort_by(-value)\" => &BenchmarkTests.sort_by/0\n  },\n  time: 1,\n  memory_time: 1,\n  reduction_time: 1\n)\n```","ref":"components.html#kinos"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}